import processing.serial.*;
Serial myPort;  // Create object from Serial class
String portName;
String findPortName = "/dev/tty.SBDBT"; //Bluetooth
//String findPortName = "/dev/tty.usbmodem"; //Arduino UNO, Leonard
//String findPortName = "/dev/tty.usbserial"; //Arduino mini(FT232)

void setup() 
{
  size(200, 200);

  for(int i = 0; i < Serial.list().length; i++){
      println(Serial.list()[i]);      
      String[] m2 = match(Serial.list()[i], findPortName);
      if(m2 != null){
        println("");
        println("!!! Find and connect to '"+ Serial.list()[i] +"'. !!!");
        portName = Serial.list()[i];
        myPort = new Serial(this, portName, 9600);
        break;
      }
  }
  if(portName == null){
      println("");
      println("Not find '"+ findPortName +"'.");
      exit();
    }
  
}

void draw()
{
} 

void keyPressed() {
  switch (key) {
    case '0':
      myPort.write(0);
      println('0');
      break;
    case '1':
      myPort.write(1);
      println('1');
      break;
    case '2':
      myPort.write(2);
      println('2');
      break;  
  }
}

